# HG changeset patch
# Node ID 5dfdddd10063
# Parent  ab086de66829
diff --git a/libpurple/purplemarkup.h b/libpurple/purplemarkup.h
--- a/libpurple/purplemarkup.h
+++ b/libpurple/purplemarkup.h
@@ -40,7 +40,10 @@ G_BEGIN_DECLS
  * @dest_plain: The destination plain-text output.
  *
  * Converts HTML markup to XHTML.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_markup_html_to_xhtml(const char *html, char **dest_xhtml,
 							   char **dest_plain);
 
@@ -52,7 +55,10 @@ void purple_markup_html_to_xhtml(const c
  *
  * Returns: The new string without HTML.  You must g_free this string
  *         when finished with it.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 char *purple_markup_strip_html(const char *str);
 
 /**
@@ -64,7 +70,10 @@ char *purple_markup_strip_html(const cha
  * Returns: The new string with all URIs surrounded in standard
  *          HTML &lt;a href="whatever"&gt;&lt;/a&gt; tags. You must g_free()
  *          this string when finished with it.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 char *purple_markup_linkify(const char *str);
 
 /**
@@ -102,7 +111,10 @@ char *purple_unescape_text(const char *t
  *
  * Returns: The text with HTML entities literalized.  You must g_free
  *         this string when finished with it.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 char *purple_unescape_html(const char *html);
 
 /**
@@ -125,7 +137,10 @@ char *purple_unescape_html(const char *h
  * work out any problems encountered.
  *
  * Returns: The HTML slice of string, with all formatting retained.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 char *purple_markup_slice(const char *str, guint x, guint y);
 
 /**
@@ -138,7 +153,10 @@ char *purple_markup_slice(const char *st
  * not NUL terminated, this function can be expected to segfault.
  *
  * Returns: A string containing the name of the tag.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 char *purple_markup_get_tag_name(const char *tag);
 
 /**
@@ -157,7 +175,10 @@ char *purple_markup_get_tag_name(const c
  * return a newly allocated string.
  *
  * Returns: A constant string containing the character representation of the given entity.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char * purple_markup_unescape_entity(const char *text, int *length);
 
 G_END_DECLS
diff --git a/libpurple/purplepath.h b/libpurple/purplepath.h
--- a/libpurple/purplepath.h
+++ b/libpurple/purplepath.h
@@ -35,7 +35,10 @@ G_BEGIN_DECLS
  * Gets the user's home directory.
  *
  * Returns: The user's home directory.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_home_dir(void);
 
 /**
@@ -88,7 +91,10 @@ const gchar *purple_data_dir(void);
  * @dir: The custom settings directory
  *
  * Define a custom purple settings directory, overriding the default (user's home directory/.purple)
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_util_set_user_dir(const gchar *dir);
 
 G_END_DECLS
diff --git a/libpurple/util.h b/libpurple/util.h
--- a/libpurple/util.h
+++ b/libpurple/util.h
@@ -200,7 +200,10 @@ purple_util_read_xml_from_data_file(cons
  * Check if running GNOME.
  *
  * Returns: TRUE if running GNOME, FALSE otherwise.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_running_gnome(void);
 
 /**
@@ -209,7 +212,10 @@ gboolean purple_running_gnome(void);
  * Check if running KDE.
  *
  * Returns: TRUE if running KDE, FALSE otherwise.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_running_kde(void);
 
 /**************************************************************************/
@@ -270,7 +276,10 @@ purple_strempty(const char *str) {
  * will lead to problems.
  *
  * Returns: A pointer to the normalized version stored in a static buffer.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_normalize(PurpleAccount *account, const char *str);
 
 /**
@@ -295,7 +304,10 @@ gboolean purple_validate(PurpleProtocol 
  * source string with HTML linebreaks.
  *
  * Returns: The new string.  Must be g_free'd by the caller.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gchar *purple_strdup_withhtml(const gchar *src);
 
 /**
@@ -309,7 +321,10 @@ gchar *purple_strdup_withhtml(const gcha
  *
  * Example usage:
  * purple_str_strip_char(my_dumb_string, '\n');
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_str_strip_char(char *str, char thechar);
 
 /**
@@ -322,7 +337,10 @@ void purple_str_strip_char(char *str, ch
  * Given a string, this replaces all instances of one character
  * with another.  This happens inline (the original string IS
  * modified).
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_util_chrreplace(char *string, char delimiter,
 						  char replacement);
 
@@ -338,7 +356,10 @@ void purple_util_chrreplace(char *string
  *
  * Returns: A new string, after performing the substitution.
  *         free this with g_free().
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gchar *purple_strreplace(const char *string, const char *delimiter,
 					   const char *replacement);
 
@@ -350,7 +371,10 @@ gchar *purple_strreplace(const char *str
  *
  * Returns: A human-readable form, containing days, hours, minutes, and
  *         seconds.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 char *purple_str_seconds_to_string(guint sec);
 
 /**
@@ -389,6 +413,7 @@ gboolean purple_strmatches(const char *p
 /* URI/URL Functions                                                      */
 /**************************************************************************/
 
+PURPLE_AVAILABLE_IN_ALL
 void purple_got_protocol_handler_uri(const char *uri);
 
 /**
@@ -400,7 +425,10 @@ void purple_got_protocol_handler_uri(con
  * This will change non-alphanumeric characters to hex codes.
  *
  * Returns: The resulting string.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_url_encode(const char *str);
 
 /**
@@ -410,7 +438,10 @@ const char *purple_url_encode(const char
  * Checks if the given email address is syntactically valid.
  *
  * Returns: True if the email address is syntactically correct.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_email_is_valid(const char *address);
 
 /**************************************************************************
@@ -426,7 +457,10 @@ gboolean purple_email_is_valid(const cha
  * This function checks the locale and tries sane defaults.
  *
  * Returns: The UTF-8 string, or %NULL if it could not be converted.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gchar *purple_utf8_try_convert(const char *str);
 
 /**
@@ -459,7 +493,10 @@ gchar *purple_utf8_strip_unprintables(co
  * Returns: -1 if @a is less than @b.
  *           0 if @a is equal to @b.
  *           1 if @a is greater than @b.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 int purple_utf8_strcasecmp(const char *a, const char *b);
 
 /**
@@ -472,7 +509,10 @@ int purple_utf8_strcasecmp(const char *a
  * preceded or immediately followed by another alphanumeric character.
  *
  * Returns: TRUE if haystack has the word, otherwise FALSE
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_utf8_has_word(const char *haystack, const char *needle);
 
 /**
@@ -483,7 +523,10 @@ gboolean purple_utf8_has_word(const char
  * character.
  *
  * Returns: The stripped string
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 char *purple_text_strip_mnemonic(const char *in);
 
 /**
@@ -493,7 +536,10 @@ char *purple_text_strip_mnemonic(const c
  * Escapes filesystem-unfriendly characters from a filename
  *
  * Returns: The resulting string.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_escape_filename(const char *str);
 
 /**
@@ -503,7 +549,10 @@ const char *purple_escape_filename(const
  * Creates a new GValue of the specified type.
  *
  * Returns:  The created GValue
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 GValue *purple_value_new(GType type);
 
 /**
@@ -513,7 +562,10 @@ GValue *purple_value_new(GType type);
  * Duplicates a GValue.
  *
  * Returns:  The duplicated GValue
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 GValue *purple_value_dup(GValue *value);
 
 /**
